For the complete documentation index, see llms.txt. This page is also available as Markdown.

Event Notifications for Tenant

Returns event notifications for the tenant

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Responses
200

OK

NotificationIdstring · nullableOptional

The unique identifier of the event notification

NotificationNamestring · min: 1Required

Free text with notification name

NotificationTextstring · nullableOptional

Optional free text that is used in messages sent to recipients

NotificationDisabledbooleanOptional

Used for disabling of existing notifications

EventsExpressionstring · min: 1Required

Logical expression which specifies when the notifications should be sent (for detailed info see Others tab)

TimeZoneIdstring · nullableOptional

Time zone that is used in case any time events are used in expression (for list of valid time zones see Others tab)

RaiseAlertbooleanOptional

Whether an alert should be raised in addition to notifying recipients

Severitystring · nullableOptional

Notification severity (use "0" for None, "1" for Warning, "2" for High)

DeviceTypestring · nullableOptional

When device type is set the notification applies to all devices of the device type. This field is valid for tenant notification only

Devicesstring · nullableOptional

Comma delimited list of device IDs the notification applies to or null for all devices. This field is valid for tenant notification only

get/V2/{tenantVarCode}/eventnotifications
GET /V2/{tenantVarCode}/eventnotifications HTTP/1.1
Accept: */*
200

OK

[
  {
    "NotificationId": "text",
    "NotificationName": "text",
    "NotificationText": "text",
    "NotificationDisabled": true,
    "Recipients": [
      {
        "Type": "DeviceList",
        "TenantCode": "text",
        "ContactId": "text",
        "ContactDetailId": "text",
        "ListId": "text",
        "MessagingAddress": "text",
        "Radius": "text",
        "ReportingFrequency": "text",
        "Interval": "text",
        "GroupId": "text"
      }
    ],
    "EventsExpression": "text",
    "TimeZoneId": "text",
    "RaiseAlert": true,
    "Severity": "text",
    "DeviceType": "text",
    "Devices": "text"
  }
]

Creates an event notification for the tenant

post
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Body
NotificationIdstring · nullableOptional

The unique identifier of the event notification

NotificationNamestring · min: 1Required

Free text with notification name

NotificationTextstring · nullableOptional

Optional free text that is used in messages sent to recipients

NotificationDisabledbooleanOptional

Used for disabling of existing notifications

EventsExpressionstring · min: 1Required

Logical expression which specifies when the notifications should be sent (for detailed info see Others tab)

TimeZoneIdstring · nullableOptional

Time zone that is used in case any time events are used in expression (for list of valid time zones see Others tab)

RaiseAlertbooleanOptional

Whether an alert should be raised in addition to notifying recipients

Severitystring · nullableOptional

Notification severity (use "0" for None, "1" for Warning, "2" for High)

DeviceTypestring · nullableOptional

When device type is set the notification applies to all devices of the device type. This field is valid for tenant notification only

Devicesstring · nullableOptional

Comma delimited list of device IDs the notification applies to or null for all devices. This field is valid for tenant notification only

Responses
200

OK

No content

post/V2/{tenantVarCode}/eventnotifications
POST /V2/{tenantVarCode}/eventnotifications HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 446

{
  "NotificationId": "text",
  "NotificationName": "text",
  "NotificationText": "text",
  "NotificationDisabled": true,
  "Recipients": [
    {
      "Type": "DeviceList",
      "TenantCode": "text",
      "ContactId": "text",
      "ContactDetailId": "text",
      "ListId": "text",
      "MessagingAddress": "text",
      "Radius": "text",
      "ReportingFrequency": "text",
      "Interval": "text",
      "GroupId": "text"
    }
  ],
  "EventsExpression": "text",
  "TimeZoneId": "text",
  "RaiseAlert": true,
  "Severity": "text",
  "DeviceType": "text",
  "Devices": "text"
}
200

OK

No content

Returns event notification for the tenant

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

notificationIdstringRequired

Notification Id

Responses
200

OK

NotificationIdstring · nullableOptional

The unique identifier of the event notification

NotificationNamestring · min: 1Required

Free text with notification name

NotificationTextstring · nullableOptional

Optional free text that is used in messages sent to recipients

NotificationDisabledbooleanOptional

Used for disabling of existing notifications

EventsExpressionstring · min: 1Required

Logical expression which specifies when the notifications should be sent (for detailed info see Others tab)

TimeZoneIdstring · nullableOptional

Time zone that is used in case any time events are used in expression (for list of valid time zones see Others tab)

RaiseAlertbooleanOptional

Whether an alert should be raised in addition to notifying recipients

Severitystring · nullableOptional

Notification severity (use "0" for None, "1" for Warning, "2" for High)

DeviceTypestring · nullableOptional

When device type is set the notification applies to all devices of the device type. This field is valid for tenant notification only

Devicesstring · nullableOptional

Comma delimited list of device IDs the notification applies to or null for all devices. This field is valid for tenant notification only

get/V2/{tenantVarCode}/eventnotifications/{notificationId}
GET /V2/{tenantVarCode}/eventnotifications/{notificationId} HTTP/1.1
Accept: */*
200

OK

{
  "NotificationId": "text",
  "NotificationName": "text",
  "NotificationText": "text",
  "NotificationDisabled": true,
  "Recipients": [
    {
      "Type": "DeviceList",
      "TenantCode": "text",
      "ContactId": "text",
      "ContactDetailId": "text",
      "ListId": "text",
      "MessagingAddress": "text",
      "Radius": "text",
      "ReportingFrequency": "text",
      "Interval": "text",
      "GroupId": "text"
    }
  ],
  "EventsExpression": "text",
  "TimeZoneId": "text",
  "RaiseAlert": true,
  "Severity": "text",
  "DeviceType": "text",
  "Devices": "text"
}

Updates event notification for the tenant

put
Path parameters
tenantVarCodestringRequired

Tenant Var Code

notificationIdstringRequired

Notification Id

Body
NotificationIdstring · nullableOptional

The unique identifier of the event notification

NotificationNamestring · min: 1Required

Free text with notification name

NotificationTextstring · nullableOptional

Optional free text that is used in messages sent to recipients

NotificationDisabledbooleanOptional

Used for disabling of existing notifications

EventsExpressionstring · min: 1Required

Logical expression which specifies when the notifications should be sent (for detailed info see Others tab)

TimeZoneIdstring · nullableOptional

Time zone that is used in case any time events are used in expression (for list of valid time zones see Others tab)

RaiseAlertbooleanOptional

Whether an alert should be raised in addition to notifying recipients

Severitystring · nullableOptional

Notification severity (use "0" for None, "1" for Warning, "2" for High)

DeviceTypestring · nullableOptional

When device type is set the notification applies to all devices of the device type. This field is valid for tenant notification only

Devicesstring · nullableOptional

Comma delimited list of device IDs the notification applies to or null for all devices. This field is valid for tenant notification only

Responses
200

OK

No content

put/V2/{tenantVarCode}/eventnotifications/{notificationId}
PUT /V2/{tenantVarCode}/eventnotifications/{notificationId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 446

{
  "NotificationId": "text",
  "NotificationName": "text",
  "NotificationText": "text",
  "NotificationDisabled": true,
  "Recipients": [
    {
      "Type": "DeviceList",
      "TenantCode": "text",
      "ContactId": "text",
      "ContactDetailId": "text",
      "ListId": "text",
      "MessagingAddress": "text",
      "Radius": "text",
      "ReportingFrequency": "text",
      "Interval": "text",
      "GroupId": "text"
    }
  ],
  "EventsExpression": "text",
  "TimeZoneId": "text",
  "RaiseAlert": true,
  "Severity": "text",
  "DeviceType": "text",
  "Devices": "text"
}
200

OK

No content

Deletes event notification for the tenant

delete
Path parameters
tenantVarCodestringRequired

Tenant Var Code

notificationIdstringRequired

Notification Id

Responses
200

OK

No content

delete/V2/{tenantVarCode}/eventnotifications/{notificationId}
DELETE /V2/{tenantVarCode}/eventnotifications/{notificationId} HTTP/1.1
Accept: */*
200

OK

No content

Last updated